declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    icon: {
        type: StringConstructor;
    };
    color: {
        type: StringConstructor;
    };
    size: {
        type: StringConstructor;
    };
}>, {
    basicProps: import("vue").ComputedRef<Record<string, unknown>>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    icon: {
        type: StringConstructor;
    };
    color: {
        type: StringConstructor;
    };
    size: {
        type: StringConstructor;
    };
}>> & Readonly<{}>, {}, {}, {
    OioIcon: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
